Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network18.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
18.0.0.0
Broadcast address
19.255.255.255
First usable
18.0.0.1
Last usable
19.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 12000000 · Integer 301989888 to 335544319
Reverse DNS zones
18.in-addr.arpa
19.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010010.00000000.00000000.0000000018.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00010010.00000000.00000000.0000000018.0.0.0
Broadcast00010011.11111111.11111111.1111111119.255.255.255
Split into smaller subnets/15

18.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
118.0.0.0/1518.0.0.1 to 18.1.255.25418.1.255.255131,070
218.2.0.0/1518.2.0.1 to 18.3.255.25418.3.255.255131,070
318.4.0.0/1518.4.0.1 to 18.5.255.25418.5.255.255131,070
418.6.0.0/1518.6.0.1 to 18.7.255.25418.7.255.255131,070
518.8.0.0/1518.8.0.1 to 18.9.255.25418.9.255.255131,070
618.10.0.0/1518.10.0.1 to 18.11.255.25418.11.255.255131,070
718.12.0.0/1518.12.0.1 to 18.13.255.25418.13.255.255131,070
818.14.0.0/1518.14.0.1 to 18.15.255.25418.15.255.255131,070
918.16.0.0/1518.16.0.1 to 18.17.255.25418.17.255.255131,070
1018.18.0.0/1518.18.0.1 to 18.19.255.25418.19.255.255131,070
1118.20.0.0/1518.20.0.1 to 18.21.255.25418.21.255.255131,070
1218.22.0.0/1518.22.0.1 to 18.23.255.25418.23.255.255131,070
1318.24.0.0/1518.24.0.1 to 18.25.255.25418.25.255.255131,070
1418.26.0.0/1518.26.0.1 to 18.27.255.25418.27.255.255131,070
1518.28.0.0/1518.28.0.1 to 18.29.255.25418.29.255.255131,070
1618.30.0.0/1518.30.0.1 to 18.31.255.25418.31.255.255131,070
1718.32.0.0/1518.32.0.1 to 18.33.255.25418.33.255.255131,070
1818.34.0.0/1518.34.0.1 to 18.35.255.25418.35.255.255131,070
1918.36.0.0/1518.36.0.1 to 18.37.255.25418.37.255.255131,070
2018.38.0.0/1518.38.0.1 to 18.39.255.25418.39.255.255131,070
2118.40.0.0/1518.40.0.1 to 18.41.255.25418.41.255.255131,070
2218.42.0.0/1518.42.0.1 to 18.43.255.25418.43.255.255131,070
2318.44.0.0/1518.44.0.1 to 18.45.255.25418.45.255.255131,070
2418.46.0.0/1518.46.0.1 to 18.47.255.25418.47.255.255131,070
2518.48.0.0/1518.48.0.1 to 18.49.255.25418.49.255.255131,070
2618.50.0.0/1518.50.0.1 to 18.51.255.25418.51.255.255131,070
2718.52.0.0/1518.52.0.1 to 18.53.255.25418.53.255.255131,070
2818.54.0.0/1518.54.0.1 to 18.55.255.25418.55.255.255131,070
2918.56.0.0/1518.56.0.1 to 18.57.255.25418.57.255.255131,070
3018.58.0.0/1518.58.0.1 to 18.59.255.25418.59.255.255131,070
3118.60.0.0/1518.60.0.1 to 18.61.255.25418.61.255.255131,070
3218.62.0.0/1518.62.0.1 to 18.63.255.25418.63.255.255131,070
3318.64.0.0/1518.64.0.1 to 18.65.255.25418.65.255.255131,070
3418.66.0.0/1518.66.0.1 to 18.67.255.25418.67.255.255131,070
3518.68.0.0/1518.68.0.1 to 18.69.255.25418.69.255.255131,070
3618.70.0.0/1518.70.0.1 to 18.71.255.25418.71.255.255131,070
3718.72.0.0/1518.72.0.1 to 18.73.255.25418.73.255.255131,070
3818.74.0.0/1518.74.0.1 to 18.75.255.25418.75.255.255131,070
3918.76.0.0/1518.76.0.1 to 18.77.255.25418.77.255.255131,070
4018.78.0.0/1518.78.0.1 to 18.79.255.25418.79.255.255131,070
4118.80.0.0/1518.80.0.1 to 18.81.255.25418.81.255.255131,070
4218.82.0.0/1518.82.0.1 to 18.83.255.25418.83.255.255131,070
4318.84.0.0/1518.84.0.1 to 18.85.255.25418.85.255.255131,070
4418.86.0.0/1518.86.0.1 to 18.87.255.25418.87.255.255131,070
4518.88.0.0/1518.88.0.1 to 18.89.255.25418.89.255.255131,070
4618.90.0.0/1518.90.0.1 to 18.91.255.25418.91.255.255131,070
4718.92.0.0/1518.92.0.1 to 18.93.255.25418.93.255.255131,070
4818.94.0.0/1518.94.0.1 to 18.95.255.25418.95.255.255131,070
4918.96.0.0/1518.96.0.1 to 18.97.255.25418.97.255.255131,070
5018.98.0.0/1518.98.0.1 to 18.99.255.25418.99.255.255131,070
5118.100.0.0/1518.100.0.1 to 18.101.255.25418.101.255.255131,070
5218.102.0.0/1518.102.0.1 to 18.103.255.25418.103.255.255131,070
5318.104.0.0/1518.104.0.1 to 18.105.255.25418.105.255.255131,070
5418.106.0.0/1518.106.0.1 to 18.107.255.25418.107.255.255131,070
5518.108.0.0/1518.108.0.1 to 18.109.255.25418.109.255.255131,070
5618.110.0.0/1518.110.0.1 to 18.111.255.25418.111.255.255131,070
5718.112.0.0/1518.112.0.1 to 18.113.255.25418.113.255.255131,070
5818.114.0.0/1518.114.0.1 to 18.115.255.25418.115.255.255131,070
5918.116.0.0/1518.116.0.1 to 18.117.255.25418.117.255.255131,070
6018.118.0.0/1518.118.0.1 to 18.119.255.25418.119.255.255131,070
6118.120.0.0/1518.120.0.1 to 18.121.255.25418.121.255.255131,070
6218.122.0.0/1518.122.0.1 to 18.123.255.25418.123.255.255131,070
6318.124.0.0/1518.124.0.1 to 18.125.255.25418.125.255.255131,070
6418.126.0.0/1518.126.0.1 to 18.127.255.25418.127.255.255131,070
6518.128.0.0/1518.128.0.1 to 18.129.255.25418.129.255.255131,070
6618.130.0.0/1518.130.0.1 to 18.131.255.25418.131.255.255131,070
6718.132.0.0/1518.132.0.1 to 18.133.255.25418.133.255.255131,070
6818.134.0.0/1518.134.0.1 to 18.135.255.25418.135.255.255131,070
6918.136.0.0/1518.136.0.1 to 18.137.255.25418.137.255.255131,070
7018.138.0.0/1518.138.0.1 to 18.139.255.25418.139.255.255131,070
7118.140.0.0/1518.140.0.1 to 18.141.255.25418.141.255.255131,070
7218.142.0.0/1518.142.0.1 to 18.143.255.25418.143.255.255131,070
7318.144.0.0/1518.144.0.1 to 18.145.255.25418.145.255.255131,070
7418.146.0.0/1518.146.0.1 to 18.147.255.25418.147.255.255131,070
7518.148.0.0/1518.148.0.1 to 18.149.255.25418.149.255.255131,070
7618.150.0.0/1518.150.0.1 to 18.151.255.25418.151.255.255131,070
7718.152.0.0/1518.152.0.1 to 18.153.255.25418.153.255.255131,070
7818.154.0.0/1518.154.0.1 to 18.155.255.25418.155.255.255131,070
7918.156.0.0/1518.156.0.1 to 18.157.255.25418.157.255.255131,070
8018.158.0.0/1518.158.0.1 to 18.159.255.25418.159.255.255131,070
8118.160.0.0/1518.160.0.1 to 18.161.255.25418.161.255.255131,070
8218.162.0.0/1518.162.0.1 to 18.163.255.25418.163.255.255131,070
8318.164.0.0/1518.164.0.1 to 18.165.255.25418.165.255.255131,070
8418.166.0.0/1518.166.0.1 to 18.167.255.25418.167.255.255131,070
8518.168.0.0/1518.168.0.1 to 18.169.255.25418.169.255.255131,070
8618.170.0.0/1518.170.0.1 to 18.171.255.25418.171.255.255131,070
8718.172.0.0/1518.172.0.1 to 18.173.255.25418.173.255.255131,070
8818.174.0.0/1518.174.0.1 to 18.175.255.25418.175.255.255131,070
8918.176.0.0/1518.176.0.1 to 18.177.255.25418.177.255.255131,070
9018.178.0.0/1518.178.0.1 to 18.179.255.25418.179.255.255131,070
9118.180.0.0/1518.180.0.1 to 18.181.255.25418.181.255.255131,070
9218.182.0.0/1518.182.0.1 to 18.183.255.25418.183.255.255131,070
9318.184.0.0/1518.184.0.1 to 18.185.255.25418.185.255.255131,070
9418.186.0.0/1518.186.0.1 to 18.187.255.25418.187.255.255131,070
9518.188.0.0/1518.188.0.1 to 18.189.255.25418.189.255.255131,070
9618.190.0.0/1518.190.0.1 to 18.191.255.25418.191.255.255131,070
9718.192.0.0/1518.192.0.1 to 18.193.255.25418.193.255.255131,070
9818.194.0.0/1518.194.0.1 to 18.195.255.25418.195.255.255131,070
9918.196.0.0/1518.196.0.1 to 18.197.255.25418.197.255.255131,070
10018.198.0.0/1518.198.0.1 to 18.199.255.25418.199.255.255131,070
10118.200.0.0/1518.200.0.1 to 18.201.255.25418.201.255.255131,070
10218.202.0.0/1518.202.0.1 to 18.203.255.25418.203.255.255131,070
10318.204.0.0/1518.204.0.1 to 18.205.255.25418.205.255.255131,070
10418.206.0.0/1518.206.0.1 to 18.207.255.25418.207.255.255131,070
10518.208.0.0/1518.208.0.1 to 18.209.255.25418.209.255.255131,070
10618.210.0.0/1518.210.0.1 to 18.211.255.25418.211.255.255131,070
10718.212.0.0/1518.212.0.1 to 18.213.255.25418.213.255.255131,070
10818.214.0.0/1518.214.0.1 to 18.215.255.25418.215.255.255131,070
10918.216.0.0/1518.216.0.1 to 18.217.255.25418.217.255.255131,070
11018.218.0.0/1518.218.0.1 to 18.219.255.25418.219.255.255131,070
11118.220.0.0/1518.220.0.1 to 18.221.255.25418.221.255.255131,070
11218.222.0.0/1518.222.0.1 to 18.223.255.25418.223.255.255131,070
11318.224.0.0/1518.224.0.1 to 18.225.255.25418.225.255.255131,070
11418.226.0.0/1518.226.0.1 to 18.227.255.25418.227.255.255131,070
11518.228.0.0/1518.228.0.1 to 18.229.255.25418.229.255.255131,070
11618.230.0.0/1518.230.0.1 to 18.231.255.25418.231.255.255131,070
11718.232.0.0/1518.232.0.1 to 18.233.255.25418.233.255.255131,070
11818.234.0.0/1518.234.0.1 to 18.235.255.25418.235.255.255131,070
11918.236.0.0/1518.236.0.1 to 18.237.255.25418.237.255.255131,070
12018.238.0.0/1518.238.0.1 to 18.239.255.25418.239.255.255131,070
12118.240.0.0/1518.240.0.1 to 18.241.255.25418.241.255.255131,070
12218.242.0.0/1518.242.0.1 to 18.243.255.25418.243.255.255131,070
12318.244.0.0/1518.244.0.1 to 18.245.255.25418.245.255.255131,070
12418.246.0.0/1518.246.0.1 to 18.247.255.25418.247.255.255131,070
12518.248.0.0/1518.248.0.1 to 18.249.255.25418.249.255.255131,070
12618.250.0.0/1518.250.0.1 to 18.251.255.25418.251.255.255131,070
12718.252.0.0/1518.252.0.1 to 18.253.255.25418.253.255.255131,070
12818.254.0.0/1518.254.0.1 to 18.255.255.25418.255.255.255131,070
12919.0.0.0/1519.0.0.1 to 19.1.255.25419.1.255.255131,070
13019.2.0.0/1519.2.0.1 to 19.3.255.25419.3.255.255131,070
13119.4.0.0/1519.4.0.1 to 19.5.255.25419.5.255.255131,070
13219.6.0.0/1519.6.0.1 to 19.7.255.25419.7.255.255131,070
13319.8.0.0/1519.8.0.1 to 19.9.255.25419.9.255.255131,070
13419.10.0.0/1519.10.0.1 to 19.11.255.25419.11.255.255131,070
13519.12.0.0/1519.12.0.1 to 19.13.255.25419.13.255.255131,070
13619.14.0.0/1519.14.0.1 to 19.15.255.25419.15.255.255131,070
13719.16.0.0/1519.16.0.1 to 19.17.255.25419.17.255.255131,070
13819.18.0.0/1519.18.0.1 to 19.19.255.25419.19.255.255131,070
13919.20.0.0/1519.20.0.1 to 19.21.255.25419.21.255.255131,070
14019.22.0.0/1519.22.0.1 to 19.23.255.25419.23.255.255131,070
14119.24.0.0/1519.24.0.1 to 19.25.255.25419.25.255.255131,070
14219.26.0.0/1519.26.0.1 to 19.27.255.25419.27.255.255131,070
14319.28.0.0/1519.28.0.1 to 19.29.255.25419.29.255.255131,070
14419.30.0.0/1519.30.0.1 to 19.31.255.25419.31.255.255131,070
14519.32.0.0/1519.32.0.1 to 19.33.255.25419.33.255.255131,070
14619.34.0.0/1519.34.0.1 to 19.35.255.25419.35.255.255131,070
14719.36.0.0/1519.36.0.1 to 19.37.255.25419.37.255.255131,070
14819.38.0.0/1519.38.0.1 to 19.39.255.25419.39.255.255131,070
14919.40.0.0/1519.40.0.1 to 19.41.255.25419.41.255.255131,070
15019.42.0.0/1519.42.0.1 to 19.43.255.25419.43.255.255131,070
15119.44.0.0/1519.44.0.1 to 19.45.255.25419.45.255.255131,070
15219.46.0.0/1519.46.0.1 to 19.47.255.25419.47.255.255131,070
15319.48.0.0/1519.48.0.1 to 19.49.255.25419.49.255.255131,070
15419.50.0.0/1519.50.0.1 to 19.51.255.25419.51.255.255131,070
15519.52.0.0/1519.52.0.1 to 19.53.255.25419.53.255.255131,070
15619.54.0.0/1519.54.0.1 to 19.55.255.25419.55.255.255131,070
15719.56.0.0/1519.56.0.1 to 19.57.255.25419.57.255.255131,070
15819.58.0.0/1519.58.0.1 to 19.59.255.25419.59.255.255131,070
15919.60.0.0/1519.60.0.1 to 19.61.255.25419.61.255.255131,070
16019.62.0.0/1519.62.0.1 to 19.63.255.25419.63.255.255131,070
16119.64.0.0/1519.64.0.1 to 19.65.255.25419.65.255.255131,070
16219.66.0.0/1519.66.0.1 to 19.67.255.25419.67.255.255131,070
16319.68.0.0/1519.68.0.1 to 19.69.255.25419.69.255.255131,070
16419.70.0.0/1519.70.0.1 to 19.71.255.25419.71.255.255131,070
16519.72.0.0/1519.72.0.1 to 19.73.255.25419.73.255.255131,070
16619.74.0.0/1519.74.0.1 to 19.75.255.25419.75.255.255131,070
16719.76.0.0/1519.76.0.1 to 19.77.255.25419.77.255.255131,070
16819.78.0.0/1519.78.0.1 to 19.79.255.25419.79.255.255131,070
16919.80.0.0/1519.80.0.1 to 19.81.255.25419.81.255.255131,070
17019.82.0.0/1519.82.0.1 to 19.83.255.25419.83.255.255131,070
17119.84.0.0/1519.84.0.1 to 19.85.255.25419.85.255.255131,070
17219.86.0.0/1519.86.0.1 to 19.87.255.25419.87.255.255131,070
17319.88.0.0/1519.88.0.1 to 19.89.255.25419.89.255.255131,070
17419.90.0.0/1519.90.0.1 to 19.91.255.25419.91.255.255131,070
17519.92.0.0/1519.92.0.1 to 19.93.255.25419.93.255.255131,070
17619.94.0.0/1519.94.0.1 to 19.95.255.25419.95.255.255131,070
17719.96.0.0/1519.96.0.1 to 19.97.255.25419.97.255.255131,070
17819.98.0.0/1519.98.0.1 to 19.99.255.25419.99.255.255131,070
17919.100.0.0/1519.100.0.1 to 19.101.255.25419.101.255.255131,070
18019.102.0.0/1519.102.0.1 to 19.103.255.25419.103.255.255131,070
18119.104.0.0/1519.104.0.1 to 19.105.255.25419.105.255.255131,070
18219.106.0.0/1519.106.0.1 to 19.107.255.25419.107.255.255131,070
18319.108.0.0/1519.108.0.1 to 19.109.255.25419.109.255.255131,070
18419.110.0.0/1519.110.0.1 to 19.111.255.25419.111.255.255131,070
18519.112.0.0/1519.112.0.1 to 19.113.255.25419.113.255.255131,070
18619.114.0.0/1519.114.0.1 to 19.115.255.25419.115.255.255131,070
18719.116.0.0/1519.116.0.1 to 19.117.255.25419.117.255.255131,070
18819.118.0.0/1519.118.0.1 to 19.119.255.25419.119.255.255131,070
18919.120.0.0/1519.120.0.1 to 19.121.255.25419.121.255.255131,070
19019.122.0.0/1519.122.0.1 to 19.123.255.25419.123.255.255131,070
19119.124.0.0/1519.124.0.1 to 19.125.255.25419.125.255.255131,070
19219.126.0.0/1519.126.0.1 to 19.127.255.25419.127.255.255131,070
19319.128.0.0/1519.128.0.1 to 19.129.255.25419.129.255.255131,070
19419.130.0.0/1519.130.0.1 to 19.131.255.25419.131.255.255131,070
19519.132.0.0/1519.132.0.1 to 19.133.255.25419.133.255.255131,070
19619.134.0.0/1519.134.0.1 to 19.135.255.25419.135.255.255131,070
19719.136.0.0/1519.136.0.1 to 19.137.255.25419.137.255.255131,070
19819.138.0.0/1519.138.0.1 to 19.139.255.25419.139.255.255131,070
19919.140.0.0/1519.140.0.1 to 19.141.255.25419.141.255.255131,070
20019.142.0.0/1519.142.0.1 to 19.143.255.25419.143.255.255131,070
20119.144.0.0/1519.144.0.1 to 19.145.255.25419.145.255.255131,070
20219.146.0.0/1519.146.0.1 to 19.147.255.25419.147.255.255131,070
20319.148.0.0/1519.148.0.1 to 19.149.255.25419.149.255.255131,070
20419.150.0.0/1519.150.0.1 to 19.151.255.25419.151.255.255131,070
20519.152.0.0/1519.152.0.1 to 19.153.255.25419.153.255.255131,070
20619.154.0.0/1519.154.0.1 to 19.155.255.25419.155.255.255131,070
20719.156.0.0/1519.156.0.1 to 19.157.255.25419.157.255.255131,070
20819.158.0.0/1519.158.0.1 to 19.159.255.25419.159.255.255131,070
20919.160.0.0/1519.160.0.1 to 19.161.255.25419.161.255.255131,070
21019.162.0.0/1519.162.0.1 to 19.163.255.25419.163.255.255131,070
21119.164.0.0/1519.164.0.1 to 19.165.255.25419.165.255.255131,070
21219.166.0.0/1519.166.0.1 to 19.167.255.25419.167.255.255131,070
21319.168.0.0/1519.168.0.1 to 19.169.255.25419.169.255.255131,070
21419.170.0.0/1519.170.0.1 to 19.171.255.25419.171.255.255131,070
21519.172.0.0/1519.172.0.1 to 19.173.255.25419.173.255.255131,070
21619.174.0.0/1519.174.0.1 to 19.175.255.25419.175.255.255131,070
21719.176.0.0/1519.176.0.1 to 19.177.255.25419.177.255.255131,070
21819.178.0.0/1519.178.0.1 to 19.179.255.25419.179.255.255131,070
21919.180.0.0/1519.180.0.1 to 19.181.255.25419.181.255.255131,070
22019.182.0.0/1519.182.0.1 to 19.183.255.25419.183.255.255131,070
22119.184.0.0/1519.184.0.1 to 19.185.255.25419.185.255.255131,070
22219.186.0.0/1519.186.0.1 to 19.187.255.25419.187.255.255131,070
22319.188.0.0/1519.188.0.1 to 19.189.255.25419.189.255.255131,070
22419.190.0.0/1519.190.0.1 to 19.191.255.25419.191.255.255131,070
22519.192.0.0/1519.192.0.1 to 19.193.255.25419.193.255.255131,070
22619.194.0.0/1519.194.0.1 to 19.195.255.25419.195.255.255131,070
22719.196.0.0/1519.196.0.1 to 19.197.255.25419.197.255.255131,070
22819.198.0.0/1519.198.0.1 to 19.199.255.25419.199.255.255131,070
22919.200.0.0/1519.200.0.1 to 19.201.255.25419.201.255.255131,070
23019.202.0.0/1519.202.0.1 to 19.203.255.25419.203.255.255131,070
23119.204.0.0/1519.204.0.1 to 19.205.255.25419.205.255.255131,070
23219.206.0.0/1519.206.0.1 to 19.207.255.25419.207.255.255131,070
23319.208.0.0/1519.208.0.1 to 19.209.255.25419.209.255.255131,070
23419.210.0.0/1519.210.0.1 to 19.211.255.25419.211.255.255131,070
23519.212.0.0/1519.212.0.1 to 19.213.255.25419.213.255.255131,070
23619.214.0.0/1519.214.0.1 to 19.215.255.25419.215.255.255131,070
23719.216.0.0/1519.216.0.1 to 19.217.255.25419.217.255.255131,070
23819.218.0.0/1519.218.0.1 to 19.219.255.25419.219.255.255131,070
23919.220.0.0/1519.220.0.1 to 19.221.255.25419.221.255.255131,070
24019.222.0.0/1519.222.0.1 to 19.223.255.25419.223.255.255131,070
24119.224.0.0/1519.224.0.1 to 19.225.255.25419.225.255.255131,070
24219.226.0.0/1519.226.0.1 to 19.227.255.25419.227.255.255131,070
24319.228.0.0/1519.228.0.1 to 19.229.255.25419.229.255.255131,070
24419.230.0.0/1519.230.0.1 to 19.231.255.25419.231.255.255131,070
24519.232.0.0/1519.232.0.1 to 19.233.255.25419.233.255.255131,070
24619.234.0.0/1519.234.0.1 to 19.235.255.25419.235.255.255131,070
24719.236.0.0/1519.236.0.1 to 19.237.255.25419.237.255.255131,070
24819.238.0.0/1519.238.0.1 to 19.239.255.25419.239.255.255131,070
24919.240.0.0/1519.240.0.1 to 19.241.255.25419.241.255.255131,070
25019.242.0.0/1519.242.0.1 to 19.243.255.25419.243.255.255131,070
25119.244.0.0/1519.244.0.1 to 19.245.255.25419.245.255.255131,070
25219.246.0.0/1519.246.0.1 to 19.247.255.25419.247.255.255131,070
25319.248.0.0/1519.248.0.1 to 19.249.255.25419.249.255.255131,070
25419.250.0.0/1519.250.0.1 to 19.251.255.25419.251.255.255131,070
25519.252.0.0/1519.252.0.1 to 19.253.255.25419.253.255.255131,070
25619.254.0.0/1519.254.0.1 to 19.255.255.25419.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses